Subject: (Re) Re: TORA/IMEP Linux/ns2 code

From: [email-masked]
Date: Fri, 10 Aug 2001 13:44:06 +0900

Hi 
      It will help me a lot if  anybody please let me know where I can get the info about this "wavelan driver". 

Thanks,
Balaram.

Hi

I had the same problem when trying out TORA/IMEP on our testbed at Uppsala
University, Sweden. I quickly transferred the airnet hack to ORINOCO:s
wavelan driver (wavelan2_cs.c) to the best of my knowledge. The airnet
hack wasn't that well documented, but I found it to be a very simple
hack. No guarantees my hack is correct though. But at least I got TORA to
run and route packets over an intermediate computer using a three node
setup. I can send you the modified wavelan driver if you want to, so that
you can get TORA up and running.

/Erik Nordström
Department of Computer Systems,
Uppsala University, Sweden.

On Thu, 9 Aug 2001, David wrote:

> hi,Scott Corson
>   I just check the you software, it's great the document is suficent. But I still can not run it. Becaust it uses airnet driver modified.
>   My envirment is linux2.2.16 + Lucent Wavelan golden card.
> 
> The wavelan card driver is wavelan2_cs.o diliverd by Lucent. The problem I meet is:
>   
>    when I run ./imep mannually,
> I got error messages:
> 
> error opening device driver of the wavelan driver
> segmentation fault(cron dump).
> 
>    And another question is about feconfig. why in Makefile, it link in static libray? and there seems some litter bug there. fecfg.c do not check the argc so when you run "feconfig", the arguments number is wrong and program dump.
> 
> 
> 
> 
> 
> 
> >All,
> >
> >For anyone interested, the Linux and ns2 code for TORA/IMEP is available for
> >download at the following URL:
> >
> >http://www.cshcn.umd.edu/tora.shtml
> >
> >-Scott
> 
>                     ÖÂ
> Àñ£¡
> 
>             dd
>             [email-masked]
> 
> 
> 

Balarama K Yalavarthi
Samsung India Software Operations(SISO)
Bangalore. 
Ph.No. (off). 5550555 *2251